package cn.iocoder.yudao.module.wealth.controller.admin.receiptItem;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wealth.convert.receiptItem.ReceiptItemConvert;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receipt.ReceiptDO;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receiptItem.ReceiptItemDO;
import cn.iocoder.yudao.module.wealth.dal.mysql.receipt.ReceiptMapper;
import cn.iocoder.yudao.module.wealth.service.receiptItem.BankReceiptDetailsService;
import cn.iocoder.yudao.module.wealth.service.receiptItem.ReceiptItemService;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemBackVO;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemReq;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemResp;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "管理后台 - 收款明细")
@RequestMapping("/ecw/BankReceiptDetails")
public class BankReceiptDetailsControl {

    @Resource
    private BankReceiptDetailsService bankReceiptDetailsService;

    @Autowired
    private ReceiptMapper receiptMapper;

    @GetMapping("/list")
    @ApiOperation("收款明细列表")
    public CommonResult<PageResult<ReceiptItemResp>> getBankReceiptDetailsList(
            ReceiptItemReq req) {

        return success(bankReceiptDetailsService.getBankReceiptDetailsList(req));
    }

    @GetMapping("/test")
    @ApiOperation("测试")
    public CommonResult<Boolean> doTest(ReceiptItemReq req) {
        ReceiptDO r=new ReceiptDO();
        r.setOrderId(123);
        r.setReceiptNo("ww");
        receiptMapper.insert(r);
        return success(true);
    }


}
